using System;
using System.Windows.Forms;

namespace _ex_11_1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            progressBar1.Step = 10;
            progressBar1.Value = 0;
            progressBar1.Minimum = 0;
            progressBar1.Maximum = 100;
            
            timer1.Interval = 500;
            timer1.Start();
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            progressBar1.Value += progressBar1.Step;
            
            if (progressBar1.Value == 100)
            {
                timer1.Stop();
                this.Hide();
                new Form2().Show();
            }
        }
    }
}